unit loadchartproblem;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
  FMXTee.Engine, FMXTee.Procs, FMXTee.Chart, FMX.Controls.Presentation,
  FMX.MultiView;

type
  TForm2 = class(TForm)
    MultiView1: TMultiView;
    chart: TChart;
    btSaveChart: TButton;
    btLoadChart: TButton;
    Button3: TButton;
    btRandomChart: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btSaveChartClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form2: TForm2;

implementation

uses
  System.IOUtils, FMXTee.Store;

procedure TForm2.FormCreate(Sender: TObject);
begin
if FileExists(TPath.GetHomePath + 'test.tee') then
begin
  LoadChartFromFile(chart, TPath.GetHomePath + 'test.tee');
end;
end;

procedure TForm2.btSaveChartClick(Sender: TObject);
begin
SaveChartToFile(chart, TPath.GetHomePath + 'test.tee',true,false);
end;

{$R *.fmx}

end.
